curl https://api.bottari.ai/v1/blocks/exampleRow01.exampleBlk01 \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11"
{
"object": "block",
"id": "exampleRow01.exampleBlk01",
"parent": {
"type": "page_id",
"page_id": "exampleRow01"
},
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T03:10:00.000Z",
"created_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"last_edited_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"has_children": false,
"in_trash": false,
"type": "paragraph",
"paragraph": {
"rich_text": [
{
"type": "text",
"text": {
"content": "1월 주문을 확인했습니다.",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "1월 주문을 확인했습니다.",
"href": null
}
],
"color": "default"
},
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 404,
"code": "object_not_found",
"message": "Could not find block with ID: exampleRow01.exampleBlk01. Make sure the relevant pages and databases are shared with your connection \"주문 동기화\".",
"request_id": "33333333-3333-4333-8333-333333333333"
}
블록
블록 읽기
블록 하나를 읽습니다. 문서 ID · 하위 문서 ID · 인라인 데이터베이스 ID도 블록으로 읽을 수 있습니다.
GET
/
v1
/
blocks
/
{id}
curl https://api.bottari.ai/v1/blocks/exampleRow01.exampleBlk01 \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11"
{
"object": "block",
"id": "exampleRow01.exampleBlk01",
"parent": {
"type": "page_id",
"page_id": "exampleRow01"
},
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T03:10:00.000Z",
"created_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"last_edited_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"has_children": false,
"in_trash": false,
"type": "paragraph",
"paragraph": {
"rich_text": [
{
"type": "text",
"text": {
"content": "1월 주문을 확인했습니다.",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "1월 주문을 확인했습니다.",
"href": null
}
],
"color": "default"
},
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 404,
"code": "object_not_found",
"message": "Could not find block with ID: exampleRow01.exampleBlk01. Make sure the relevant pages and databases are shared with your connection \"주문 동기화\".",
"request_id": "33333333-3333-4333-8333-333333333333"
}
블록 하나를 읽습니다. 쓰기는 제공하지 않습니다. 자식은 블록 자식 읽기로 읽으세요.
블록 ID는 받은 값을 그대로 사용하세요. 아무도 연 적 없는 문서의 일부 블록은 위치 기반 ID를 사용하며, 문서를 처음 편집할 때 바뀔 수 있습니다.
공통 오류는 공통 규칙에서 확인할 수 있습니다.
string
필수
Bearer <토큰> 형식입니다. 토큰 자세히 알아보기 →string
선택 항목입니다.
2026-03-11만 받습니다. 빼면 현재 버전을 사용하고, 다른 값을 보내면 400을 반환합니다.string
필수
블록 ID입니다.
블록 ID
| ID | 읽히는 블록 |
|---|---|
| 문서 ID | 그 문서의 child_page입니다. 자식이 본문입니다. |
| 인라인 · 연결한 데이터베이스 ID | child_database입니다. 자식은 없습니다. |
| 그 밖 | <문서 ID>.<블록 주소> 형식의 블록입니다. |
블록 객체
string
블록 ID입니다.
object
page_id · block_id · data_source_id · workspace 중 하나입니다.string
그 블록이 있는 문서의 값입니다.
string
그 블록이 있는 문서의 값입니다.
object
그 블록이 있는 문서의 값입니다.
object
그 블록이 있는 문서의 값입니다.
boolean
자식이 있으면
true입니다.boolean
그 문서가 휴지통에 있으면
true입니다.string
블록 종류입니다.
블록 종류
| 묶음 | type |
|---|---|
| 글 | paragraph · heading_1 · heading_2 · heading_3 · heading_4 · quote · callout · toggle |
| 목록 | bulleted_list_item · numbered_list_item · to_do |
| 코드와 수식 | code · equation |
| 구조 | divider · table · table_row · column_list · column · tab · table_of_contents · breadcrumb · synced_block |
| 파일과 링크 | image · video · audio · pdf · file · bookmark · embed · link_to_page |
| 하위 대상 | child_page · child_database |
| 대응 없음 | unsupported. unsupported.block_type에 원래 종류가 있습니다. |
unsupported로 나오는 블록에는 버튼 · Bottari 노트 · 서명하지 못한 파일 · 연동이 읽지 못하는 문서의 카드(alias)가 있습니다.
본문 글에는 속성의 글 조각 외에 link_preview 멘션이 올 수 있습니다.
오류
| 상태 | code | 원인 |
|---|---|---|
| 404 | object_not_found | 없거나 연동이 읽을 수 없는 블록입니다. 지운 블록도 404입니다. |
curl https://api.bottari.ai/v1/blocks/exampleRow01.exampleBlk01 \
-H "Authorization: Bearer $BOTTARI_TOKEN" \
-H "Bottari-Version: 2026-03-11"
{
"object": "block",
"id": "exampleRow01.exampleBlk01",
"parent": {
"type": "page_id",
"page_id": "exampleRow01"
},
"created_time": "2026-01-15T02:30:00.000Z",
"last_edited_time": "2026-01-15T03:10:00.000Z",
"created_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"last_edited_by": {
"object": "user",
"id": "11111111-1111-4111-8111-111111111111"
},
"has_children": false,
"in_trash": false,
"type": "paragraph",
"paragraph": {
"rich_text": [
{
"type": "text",
"text": {
"content": "1월 주문을 확인했습니다.",
"link": null
},
"annotations": {
"bold": false,
"italic": false,
"strikethrough": false,
"underline": false,
"code": false,
"color": "default"
},
"plain_text": "1월 주문을 확인했습니다.",
"href": null
}
],
"color": "default"
},
"request_id": "33333333-3333-4333-8333-333333333333"
}
{
"object": "error",
"status": 404,
"code": "object_not_found",
"message": "Could not find block with ID: exampleRow01.exampleBlk01. Make sure the relevant pages and databases are shared with your connection \"주문 동기화\".",
"request_id": "33333333-3333-4333-8333-333333333333"
}